This new version introduces a java probe function which finds the newest java installed on the windows system, this means that if the client is run on a 64bit version of windows, the 64bit version of java will be used if it is installed.

########## What's NEW!? ##########
##################################
#### Version 2.7 ####
* Added proper support for 64-bit windows by adding a java probe function
 this function is named win32_find_java
 
* On windows, the client will now use the newest java installed and also  load the proper dll files for the client from the java installed.
 
 
Sorry for not posting about the v2.4 and 2.5, they were basically just maintenance versions.

here are the changelogs for all of them anyway

########## What's NEW!? ##########
##################################
#### Version 2.6 ####
* Added a forcealsa option which will force java to use the alsa sound server,
 this will make sounds far more stable on linux and they will not disappear randomly
 like they do with pulseaudio. This function requires alsa and alsa-aoss to be installed.
 
* Changed the fallback parameters (incase a prm file is not found) to
 jagexappletviewer.jar -Dsun.java2d.noddraw=true 
 -Dcom.jagex.config=http://www.runescape.com/k=3/l=\$(Language:0)/jav_config.ws 
 -Xss1m -Xmx256m -XX:CompileThreshold=1500 -Xincgc -XX:+UseConcMarkSweepGC 
 -XX:+UseParNewGC jagexappletviewer 
 
 These parameters are the same as the ones used on the website.

#### Version 2.5 ####
* Fixed an issue in the if openjdk was found statement in the findjavabin function
 so that it now works as intended.
 line 342 in runescape
from: if ($openjdk =~ /java-\d{1,1}-openjdk(-\$\(uname -p\)|-i386|-amd64)/)
to: if ($openjdk =~ /java-\d{1,1}-openjdk(|-\$\(uname -p\)|-i386|-amd64)/)

#### Version 2.4 ####
* Removed "jagexappletviewer.jar" permanently from the archive due to the same "Legal Reasons" preventing
 JAGEX from distributing the client in certain countries :(
* Added a check in the runescape script that checks if the file "jagexappletviewer.jar" exists,
 if it does not then it will run the update script.
* Added a notice about jagexappletviewer into the update "menu" in the update-runescape-client script.